﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Services;
using Samples;


public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        string user = TextBox1.Text;

        // Populate input fields if any data is stored
        string body = AutoSaveAPI.Read(user);
        if (!String.IsNullOrEmpty(body))
        {
            Dictionary<string, object> data = body.ParseToDictionary();
            TextBox2.Text = data["TextBox2"] as string;
            TextBox3.Text = data["TextBox3"] as string;
            TextBox4.Text = data["TextBox4"] as string;
        }

        // Re-enable auto-save for this editing session
        string script = "enableAutoSave('" + user + "');";
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myTimer", script, true);
        
    }

    [WebMethod]
    public static string AutoSave(string id, string body)
    {
        AutoSaveAPI.Save(id, body);
        return DateTime.Now.ToString();
    }
}
