﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Samples
{
    public static class StringExtension
    {
        public static Dictionary<string, object> ParseToDictionary(this string body)
        {
            if (String.IsNullOrEmpty(body))
                return null;

            Dictionary<string, object> response = new Dictionary<string,object>();
            string[] parts = body.Split('&');
            foreach (string s in parts)
            {
                string[] elements = s.Split('=');
                response.Add(elements[0] as string, elements[1]);
            }

            return response;
        }
    }
}